# nRF5340 Audio DK - Hello Codec

This example is the bare minimum code needed to initialize, configure, and enable the CS47L63 hardware codec on the nRF5340 Audio DK. It plays a 48kHz 16bit mono sine wave using the I2S TX buffer, then briefly mixes in the codec's tone and noise generators as well.

## Overview

The `/src/drivers/` directory is copied verbatim from the nRF Connect SDK's [nrf5340_audio](https://github.com/nrfconnect/sdk-nrf/blob/main/applications/nrf5340_audio) sample application, and contains only those files needed to initialize and communicate with the CS47L63.

All other functionality is implemented directly in `/src/main.c` demonstrating the basic steps necessary to configure and enable the codec. This code mostly utilizes direct register manipulation, along with several helper functions defined in Cirrus Logic's `cs47l63.c` driver to configure the FLL1 frequency-locked loop clock peripheral.

This code is liberally commented and extremely verbose, so it should be easy to read and comprehend. Most register values are left at their defaults, and any written values use defined constants whenever possible to self document, which simplifies experimentation with other available features not included in this brief example.

## References

- [nRF5340 Audio DK User Guide](https://docs.nordicsemi.com/bundle/ug_nrf5340_audio/page/UG/nrf5340_audio/intro.html)

- [CS47L63 Datasheet (PDF)](https://statics.cirrus.com/pubs/proDatasheet/CS47L63_DS1249F2.pdf)
